apiVersion: v1
kind: Service
metadata:
  name: "{{ .Values.paymentservice.app }}-service"   # name of the service
spec:
  selector:
    app: {{ .Values.paymentservice.app }}          # label used to select the deployment
  ports:
    - protocol: TCP
      port: {{ .Values.paymentservice.ports.port }}
      targetPort: {{ .Values.paymentservice.ports.targetPort }}          # port on the pod to forward traffic to
